	.386
	.model	use32 small

	extrn exp : proc, allerrl : proc
	public	_coshl
	.data
nm	db	"coshl",0
	.code
two	dw	2

_coshl:
      	push	ebp
	mov	ebp,esp
	lea	ecx,[ebp+8]
	sub	edx,edx
	fld	tbyte ptr [ecx]
	call	exp
	fld	tbyte ptr [ecx]
	fchs
	call	exp
	faddp	st(1)
	fild	word ptr [two]
	fdivp	st(1)
	lea	eax,[nm]
	call	allerrl
	leave
	ret
	end